List posts

List all posts for the current space with optional filters

POST
/objects/post/list
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

List posts input

collectionId?string
helpCenterId?string
pagination?bv.Pagination
parentId?string
title?bv.StringFilter

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/objects/post/list" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "authorId": "string",
    "children": [
      {
        "authorId": "string",
        "children": [],
        "collections": [
          {
            "color": "string",
            "createdAt": "string",
            "description": "string",
            "id": "string",
            "spaceId": "string",
            "title": "string",
            "updatedAt": "string"
          }
        ],
        "content": "string",
        "createdAt": "string",
        "id": "string",
        "organizationId": "string",
        "parentId": "string",
        "spaceId": "string",
        "title": "string",
        "updatedAt": "string"
      }
    ],
    "collections": [
      {
        "color": "string",
        "createdAt": "string",
        "description": "string",
        "id": "string",
        "spaceId": "string",
        "title": "string",
        "updatedAt": "string"
      }
    ],
    "content": "string",
    "createdAt": "string",
    "id": "string",
    "organizationId": "string",
    "parentId": "string",
    "spaceId": "string",
    "title": "string",
    "updatedAt": "string"
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}